Modify

#1140 closed enhancement (wontfix)

Support for the Telegram protocol

Reported by: bitlbee.org@… Owned by:
Priority: pony Milestone:
Component: BitlBee Version: devel
Keywords: telegram protocol Cc:
IRC client+version: Client-independent Operating System: Other
OS version/distro:

Description

At least around here, the Telegram mobile messenger becomes increasingly popular after WhatsApp has been bought by Facebook.

It'd be very nice to have Telegram support in bitlbee.

Attachments (0)

Change History (16)

comment:1 Changed at 2014-03-15T21:12:13Z by dx

Priority: wishlistpony

[2016 EDIT]

I'm still seeing people linking this as a "hot take" against telegram. Don't do that. This is mostly irrelevant nowadays with its popularity being the main reason to use it, not the security. Also note the wontfix below was a mass edit done months later.

telegram-purple appeared soon later and is fully supported as of bitlbee 3.4

[/2016 EDIT]

This has been suggested a thousand times on irc, and i wouldn't want to repeat that discussion here again, so I'll make it short:

Their protocol is not secure at all. It gives a false sense of security, which can be more harmful than advertising no security at all.

It should be avoided.

However, we don't really have any influence on the adoption of that protocol. So it's a valid feature request. It's just one that I don't think we'll do, but anyone is welcome to write a plugin for it. Lowering priority to pony for that reason.

Last edited at 2016-11-09T22:34:14Z by dx (previous) (diff)

comment:2 Changed at 2014-07-07T13:35:16Z by dx

Resolution: wontfix
Status: newclosed

Closing all protocol request tickets.

For most of the requested protocols, it's likely we won't have time and/or interest to implement them, and some tickets have stayed open here for years when they have libpurple implementations, or even as third party plugins. Implementing protocols in the core is far from a priority nowadays, although I hope we can make it easier to write third party plugins. As always, anyone who is interested in implementing bitlbee plugins for these can do so, and we're willing to help (join irc!)

comment:3 in reply to:  1 Changed at 2014-07-16T14:33:33Z by mail@…

Their protocol is not secure at all. It gives a false sense of security, which can be more harmful than advertising no security at all.

It should be avoided.

I totally agree with both statements.

BUT: a hell of a lot people are using it (millions) so you'll mis quite a bit of business opportunity :-) And on a more serious note: for people who really care about security bitlbee as an excellent implementation of OTR for that. Bitlbee could do OTR over "telegram" for that. I think people who don't want "the hassle" of otr, don't care about security and just want to chat.

comment:4 Changed at 2014-07-16T19:24:51Z by dx

Eh, well, personally I don't care. Don't use it, don't know anyone irl who uses it. I'd say that people who don't care about security just use whatsapp, but that doesn't seem to be accurate in some other parts of the world, so whatever.

But again: if anyone is willing to work on it, feel free to do so! And I'd be glad to help with any issues that appear while writing a plugin for this. This is just marked as "wontfix" to clear the crap from the bugtracker - it was a total of 22 tickets IIRC.

comment:5 Changed at 2014-10-01T19:12:48Z by rolle

Secure or not, all my friends or relatives use Telegram, so I would like to have it in BitlBee as well. Please consider it.

comment:6 Changed at 2014-10-07T08:06:35Z by anonymous

they're a stubborn bunch of kids, someone interested will have to make it and i dont see it happening soon

comment:7 Changed at 2014-10-07T08:12:55Z by wilmer

dx, we could reopen it as pony, which is my way of saying "no way I'll do this but if someone else feels like it, go ahead". :>

I'm also available to help out with the module implementation.

comment:8 Changed at 2014-10-07T08:14:12Z by bitlbee.org@…

I'm the original reporter of this.

I think I have the skills to make this happen and I still want it. At some point I'll find the time to do this if nobody else steps up, but it might take some more weeks or months as I'm busy with another big hobby project :)

comment:9 Changed at 2014-10-07T08:16:35Z by wilmer

Cool. :-) Just let me know if you want this bug reassigned (I can create you an account). AFAIK some OSS Telegram client implementations have appeared already in the meantime so apparently it's possible.

comment:10 Changed at 2014-10-07T17:16:19Z by dx

I just closed this one along with all the other protocol request tickets. Being a closed ticket doesn't stop anyone from implementing it... It just removes the noise from the tracker, which it really needed.

they're a stubborn bunch of kids, someone interested will have to make it and i dont see it happening soon

...Someone interested in this feature would have to write it either way, what's your point?

comment:11 Changed at 2014-10-10T12:32:54Z by dx

People following this ticket might be interested in #1178 (a libpurple api that needs to be implemented for telegram-purple support)

comment:13 Changed at 2015-03-16T13:00:53Z by dx

For those following this ticket but not the other one, #1178 is now marked as fixed.

comment:14 Changed at 2017-07-25T09:50:13Z by ashaihullin@…

Using weechar+bitlbee+telegram-purple, and my friends with cyrillic names always look like: "_56" - something like this. Who this issue is related to?

comment:15 Changed at 2017-07-25T10:42:13Z by bitlbee.org@…

ashaihullin - a random ticket really isn't the right place for this, but you probably want "set utf8_nicks true".

comment:16 in reply to:  15 Changed at 2017-07-25T11:06:18Z by ashaihullin@…

Replying to bitlbee.org@…:

ashaihullin - a random ticket really isn't the right place for this, but you probably want "set utf8_nicks true".

Thank you. You helped me. And you right, I should use irc channel to ask it instead.

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.